# $Revision: 1.31 $, $Date: 2011/08/02 23:20:42 $
#
# Conditional build:
%bcond_with	gssglue	# use GSSGLUE layer instead of linking with Heimdal Kerberos directly
#
Summary:	rpcsec_gss implementation library
Summary(pl.UTF-8):	Biblioteka implementująca rpcsec_gss
Name:		librpcsecgss
Version:	0.19
Release:	3
License:	BSD/MIT
Group:		Libraries
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/%{name}-%{version}.tar.gz
# Source0-md5:	b45ed565bdc3099023aa35830ec92997
Patch0:		%{name}-heimdal.patch
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%if %{with gssglue}
BuildRequires:	libgssglue-devel >= 0.1
%else
BuildRequires:	heimdal-devel
%endif
BuildRequires:	libtool
BuildRequires:	pkgconfig
%if %{with gssglue}
Requires:	libgssglue >= 0.1
%else
Requires:	heimdal-libs
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
librpcsecgss allows secure RPC communication using the rpcsec_gss
protocol.

%description -l pl.UTF-8
librpcsecgss umożliwia bezpieczną komunikację RPC przy użyciu
protokołu rpcsec_gss.

%package devel
Summary:	Development files for librpcsecgss library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki librpcsecgss
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with gssglue}
Requires:	libgssglue-devel >= 0.1
%else
Requires:	heimdal-devel
%endif

%description devel
Development files for librpcsecgss library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki librpcsecgss.

%package static
Summary:	Static librpcsecgss library
Summary(pl.UTF-8):	Statyczna biblioteka librpcsecgss
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static librpcsecgss library.

%description static -l pl.UTF-8
Statyczna biblioteka librpcsecgss.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-gssapiimpl=%{?with_gssglue:libgssglue}%{!?with_gssglue:heimdal-gssapi}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/librpcsecgss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librpcsecgss.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librpcsecgss.so
%{_libdir}/librpcsecgss.la
%{_includedir}/rpcsecgss
%{_pkgconfigdir}/librpcsecgss.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librpcsecgss.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: librpcsecgss.spec,v $
Revision 1.31  2011/08/02 23:20:42  baggins
- release 3

Revision 1.30  2010/11/24 11:46:33  hawk
- release 2

Revision 1.29  2010/08/13 18:15:14  qboosh
- renamed krb5 bcond to gssglue (this is that the bcond does)

Revision 1.28  2010/08/13 18:13:19  qboosh
- updated to 0.19
- implemented heimdal patch in more flexible way, allowing to choose heimdal even if libgssglue is installed

Revision 1.27  2009/07/02 14:06:41  baggins
- rel 3
- reverse heimdal bcond to krb5, build with heimdal

Revision 1.26  2009/07/02 12:18:39  baggins
- removed unnecessary conflicts

Revision 1.25  2009/06/30 13:30:51  baggins
- C/R on libgssglue and heimdal

Revision 1.24  2009/06/30 13:06:31  baggins
- rel 2
- added heimdal bcond and patch allowing to use heimdal-gssapi in place
  of libgssglue (patch from gentoo)

Revision 1.23  2008/05/31 16:07:45  qboosh
- updated to 0.18

Revision 1.22  2007-11-03 00:13:26  qboosh
- updated to 0.17

Revision 1.21  2007/09/10 17:36:32  qboosh
- updated to 0.16
- removed obsolete pc patch

Revision 1.20  2007/09/05 18:19:20  qboosh
- license is BSD (for UM code) and MIT (for Sun and MIT code)

Revision 1.19  2007/09/05 18:14:54  qboosh
- updated to 0.15 (fixes CVE-2007-3999)
- removed obsolete heimdal patch and bcond (always use libgssglue)
- added pc patch

Revision 1.18  2007/03/30 23:28:12  baggins
- rel 2
- reverse bcond

Revision 1.17  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.15  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.14  2006/08/16 19:06:51  qboosh
- updated to 0.14

Revision 1.13  2006/06/26 10:42:47  qboosh
- updated to 0.13

Revision 1.12  2006/06/05 11:11:26  qboosh
- updated to 0.12

Revision 1.11  2006/05/09 11:31:16  qboosh
- restored bcond desc

Revision 1.10  2006/05/05 17:59:39  baggins
- rel 3
- fixed bcond

Revision 1.9  2006/05/05 17:35:20  baggins
- rel 2
- reversed libgssapi bcond, the patch is bogus and halfway done

Revision 1.8  2006/04/17 08:41:43  qboosh
- updated to 0.11, updated heimdal patch

Revision 1.7  2006/04/06 20:40:22  qboosh
- updated to 0.10

Revision 1.6  2006/02/27 21:39:21  qboosh
- updated to 0.8

Revision 1.5  2005/12/09 21:02:58  qboosh
- updated to 0.7, removed outdated configure patch
- added conditional heimdal patch

Revision 1.4  2005/08/06 11:18:13  qboosh
- updated to 0.6 (note: new soname)
- updated configure patch

Revision 1.3  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.2  2005/03/29 16:40:52  qboosh
- updated to 0.5, updated configure patch
- removed heimdal-libs dep (it's autogenerated)

Revision 1.1  2005/02/28 21:15:39  qboosh
- new
